Loading...
Searching...
No Matches
MolChemicalFeatureFactory.h File Reference
`#include <RDGeneral/export.h>`
`#include "MolChemicalFeatureDef.h"`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::MolChemicalFeatureFactory
| The class for finding chemical features in molecules. More...

## Namespaces

namespace | RDKit
| Std stuff.

## Typedefs

typedef boost::shared_ptr< MolChemicalFeature > | RDKit::FeatSPtr
typedef std::list< FeatSPtr > | RDKit::FeatSPtrList
typedef FeatSPtrList::iterator | RDKit::FeatSPtrList_I

## Functions

RDKIT_MOLCHEMICALFEATURES_EXPORT MolChemicalFeatureFactory * | RDKit::buildFeatureFactory (std::istream &inStream)
| constructs a MolChemicalFeatureFactory from the data in a stream
RDKIT_MOLCHEMICALFEATURES_EXPORT MolChemicalFeatureFactory * | RDKit::buildFeatureFactory (const std::string &featureData)
| constructs a MolChemicalFeatureFactory from the data in a string